# frozen_string_literal: true

require_relative "lib/one/backup/version"

Gem::Specification.new do |spec|
  spec.name          = "one-backup"
  spec.version       = One::Backup::VERSION
  spec.authors       = ["Philippe Caseiro"]
  spec.email         = ["pcaseiro@cadoles.com"]

  spec.summary       = "Simple opennebula vm backup manager"
  spec.description   = "This tool is designed to work with OpenNebula KVM and qcow2 images (for now)"
  spec.homepage      = "https://pcll.ac-dijon.fr"
  spec.licenses      = ["GPL-3.0+"]
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["allowed_push_host"] = "https://gems.cadoles.com"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://dev-eole.ac-dijon.fr/git/one-backup.git"
  spec.metadata["changelog_uri"] = "https://dev-eole.ac-dijon.fr/projects/eole-nebula/repository/one-backup/revisions/master/entry/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
#  spec.add_dependency "opennebula", "~> 5.6"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
